Avisos
Vaciar todo

Error al actualizar plugin woocommerce subscriptions a la v3  

 
Manuel
 Manuel
Usuario eminente

Este es el error que me lanza y me bloquea wordpress:

Se ha producido un error del tipo E_ERROR en la línea 102 del archivo /home2/cyclistg/public_html/cyclistgo.com/wp-content/plugins/woocommerce-subscriptions/includes/libraries/action-scheduler/classes/data-stores/ActionScheduler_DBLogger.php. Mensaje de error: Uncaught Error: Cannot call abstract method ActionScheduler_Logger::init() in /home2/cyclistg/public_html/cyclistgo.com/wp-content/plugins/woocommerce-subscriptions/includes/libraries/action-scheduler/classes/data-stores/ActionScheduler_DBLogger.php:102 Stack trace: #0 /home2/cyclistg/public_html/cyclistgo.com/wp-includes/class-wp-hook.php(286): ActionScheduler_DBLogger->init() #1 /home2/cyclistg/public_html/cyclistgo.com/wp-includes/class-wp-hook.php(312): WP_Hook->apply_filters(NULL, Array) #2 /home2/cyclistg/public_html/cyclistgo.com/wp-includes/plugin.php(478): WP_Hook->do_action(Array) #3 /home2/cyclistg/public_html/cyclistgo.com/wp-settings.php(523): do_action('init') #4 /home2/cyclistg/public_html/cyclistgo.com/wp-config.php(93): require_once('/home2/cyclistg...') #5 /home2/cyclistg/public_html/cyclistgo.com/wp-load.php(37): require_once('/home2/cyclistg...') #6 /home2/cyclistg/public_html/cyclistgo.com/wp-login.php(12): require('/home2/cyclistg...') #7 {main} thrown

¿Alguna idea?

Citar
Respondido : 23/01/2020 7:34 am
Pepe
 Pepe
Soporte CMS Webempresa Moderator

Hola Manuel.

Por lo que veo el problema esta en el plugin " woocommerce subscriptions " por lo que veo es un error con un método.

Al ser un plugin de pago lo tienes que consultarlo con el soporte del plugin, nosotros no podemos descargo para probarlo y son ellos los que tienen  que ofrecerte ese soporte:

-> https://woocommerce.com/products/woocommerce-subscriptions/

Una cosa que podrias probar es a bajar la version de PHP y ver si se soluciona, ahoar trabajas con la version 7.3 y seria ir bajando y ver si con eso se soluciona.

-> https://guias.webempresa.com/preguntas-frecuentes/cambiar-la-version-php/

Un saludo

ResponderCitar
Respondido : 23/01/2020 9:51 am

Gestor de Contraseñas - VPN Conexión Segura - Gestor 2FA (Segundo Factor de Autenticación

Manuel
 Manuel
Usuario eminente

@pepesoler

Y probar con la 7,4? O tiene que se más baja? Con el 2.6.5 no me da problemas. 
El tema es que no tengo soporte porque lo compré de un tercero, y tal y como está no puedo utilizarlo...

ResponderCitar
Respondido : 23/01/2020 11:31 am
Pepe
 Pepe
Soporte CMS Webempresa Moderator

Hola Manuel.

Si no te funciona con la 7.3 dudo que funcionara con la 7.4, tienes que probar con versiones inferiores

El tema es que no tengo soporte porque lo compré de un tercero,

Lo más seguro que con una actualización se solucione pero tendrás que tener licencia si no dispones de una o buscar una alternativa al plugin

-> https://wordpress.org/plugins/yith-woocommerce-subscription/

Un saludo

ResponderCitar
Respondido : 24/01/2020 11:19 am

Cursos Gratuitos WordPress